# Earning Yield

Each [Era](/the-ike-protocol/definitions.md), there is a certain fixed amount of yield generated by the network in the form of newly generated AZERO. The rate of yield is set by the network.&#x20;

The yield accrues to the Validators, which must return it back to the `Vault`. This part is enforced by a mixture of Ike's smart contracts and blockchain-native mechanisms.

However, while the number of AZERO staked with the `Vault` increase, the number of outstanding sA0 does not. Remember, sTokens represent a share of the Total Pool of AZERO  ([`totalPooled`](/the-ike-protocol/definitions.md)) controlled by the `Vault`. So, when the user redeems their sA0 for AZERO, they will receive more AZERO than they originally deposited.

{% hint style="info" %}
Here's a \**very\** simple example:&#x20;

1. At the beginning the Vault contains 0 AZERO (`totalPooled` = 0) and there are 0 sA0 outstanding (`totalShares` = 0)
2. A user deposits (stakes) 10 AZERO. The Vault mints 10 sA0 and transfers them to the user.
3. Now, the user waits. Over a period of time, the staked AZERO accrue yield in the form of additional AZERO.&#x20;
   1. Let's say for simplicity that the tokens accrued a 10% yield over that time.&#x20;
   2. Let's also say for simplicity's sake that no other users deposit any AZERO for staking, and of course no other user redeems any tokens.
4. At this point, the `totalShares` still = 10 sA0. However, due to the 10% yield accrued, the `totalPooled` now equals 11 AZERO.&#x20;
5. Now, the user redeems all 10 of their sA0 for AZERO. They receive 11 AZERO in return.&#x20;
   1. Note that after this step, the Vault's `totalShares` = 0 again and `totalPooled` = 0 again as well.
      {% endhint %}

This was a very simplified example. It doesn't account for any Protocol fees, and it doesn't account for other users staking and unstaking their tokens over time. However, it illustrates well the mechanism by which Ike helps users generate yield on their tokens. The example shows how yield came from the network's natural rate of AZERO inflation, and Ike helped the user access it easily.

## Composable Yield

Ike's sA0 tokens are fungible, and therefore allow users to participate in other network activities, such as DeFi. Many DeFi products allow users to earn additional yield through processes of lending, trading, and more. So, users who use sTokens to earn yield in DeFi can *also* take advantage of the network's natural staking yield at the same time. This is what we call composable yield.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ike.xyz/the-ike-protocol/earning-yield.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
